# Class ScheduleService

- Defined in src/services.gen.ts:5208

#####
Index

### Constructors

constructor

### Methods

createSchedule
deleteSchedule
existsSchedule
getSchedule
listSchedules
listSchedulesWithJobs
previewSchedule
setDefaultErrorOrRecoveryHandler
setScheduleEnabled
updateSchedule

##
Constructors

### constructor

- new ScheduleService(): ScheduleService

- #### Returns ScheduleService

##
Methods

### `Static` createSchedule

- createSchedule(data): CancelablePromise<string>

- create schedule

  #### Parameters

  - data: CreateScheduleData

    The data for the request.

  #### Returns CancelablePromise<string>

  string schedule created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5233

### `Static` deleteSchedule

- deleteSchedule(data): CancelablePromise<string>

- delete schedule

  #### Parameters

  - data: DeleteScheduleData

    The data for the request.

  #### Returns CancelablePromise<string>

  string schedule deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5297

### `Static` existsSchedule

- existsSchedule(data): CancelablePromise<boolean>

- does schedule exists

  #### Parameters

  - data: ExistsScheduleData

    The data for the request.

  #### Returns CancelablePromise<boolean>

  boolean schedule exists

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5335

### `Static` getSchedule

- getSchedule(data): CancelablePromise<Schedule>

- get schedule

  #### Parameters

  - data: GetScheduleData

    The data for the request.

  #### Returns CancelablePromise<Schedule>

  Schedule schedule deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5316

### `Static` listSchedules

- listSchedules(data): CancelablePromise<ListSchedulesResponse>

- list schedules

  #### Parameters

  - data: ListSchedulesData

    The data for the request.

  #### Returns CancelablePromise<ListSchedulesResponse>

  Schedule schedule list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5358

### `Static` listSchedulesWithJobs

- listSchedulesWithJobs(data): CancelablePromise<ListSchedulesWithJobsResponse>

- list schedules with last 20 jobs

  #### Parameters

  - data: ListSchedulesWithJobsData

    The data for the request.

  #### Returns CancelablePromise<ListSchedulesWithJobsResponse>

  ScheduleWJobs schedule list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5384

### `Static` previewSchedule

- previewSchedule(data): CancelablePromise<PreviewScheduleResponse>

- preview schedule

  #### Parameters

  - data: PreviewScheduleData

    The data for the request.

  #### Returns CancelablePromise<PreviewScheduleResponse>

  string List of 5 estimated upcoming execution events (in UTC)

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5216

### `Static` setDefaultErrorOrRecoveryHandler

- setDefaultErrorOrRecoveryHandler(data): CancelablePromise<unknown>

- Set default error or recoevery handler

  #### Parameters

  - data: SetDefaultErrorOrRecoveryHandlerData

    The data for the request.

  #### Returns CancelablePromise<unknown>

  unknown default error handler set

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5406

### `Static` setScheduleEnabled

- setScheduleEnabled(data): CancelablePromise<string>

- set enabled schedule

  #### Parameters

  - data: SetScheduleEnabledData

    The data for the request.

  #### Returns CancelablePromise<string>

  string schedule enabled set

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5276

### `Static` updateSchedule

- updateSchedule(data): CancelablePromise<string>

- update schedule

  #### Parameters

  - data: UpdateScheduleData

    The data for the request.

  #### Returns CancelablePromise<string>

  string schedule updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5254